@ECHO OFF

REM *** COMPGO.BAT
REM
REM
REM
REM
REM      NOTE: SIM390 MUST NOT BE RUNNING FOR THIS PROC TO WORK
REM      EFFECTIVELY. THE OBJECT DECK IS COPIED TO FILE RR WHICH
REM      IS USED BY SIM390.
REM      THIS PROC EXECUTES SIM390 WHEN ALL OTHER WORK IS DONE.
REM
REM
REM
REM      Compile, Link and Go for PL390/SIM390.
REM      Produces object code and listing.
REM      The compiled listing is also displayed.
REM      Invokes SIM390.
REM
REM      The source program name must be
REM              name.TXT,
REM      but ".TXT" must not be entered as part of the
REM      name.
REM
REM      FORMAT:
REM
REM         COMPGO  pl390-program-source-name (no suffix)
REM
REM
REM      EXAMPLE:
REM
REM         COMPGO  PLXETTT1
REM
REM
REM   Results:       Listing       -  progname.PRT
REM                  Object deck   -  progname.obj  (executable)
REM                  Reel Reader   -  RR  (contains object)
REM
REM
REM   Compiler input:  PL3SRC - Copy of source program
REM   Compiler output: PL3PRT - Compiler listing
REM   Compiler output: PL3PCH - Punched object code
REM
REM   Copied files:    source.TXT  to  PL3SRC
REM   Copied files:    PL3PRT      to  progname.PRT
REM   Copied files:    PL3PCH      to  progname.OBJ
REM   Copied files:    PL3PCH      to  RR  (object to Reel Reader)
REM
REM   ---------------------------------------------------------


REM   ---SETUP---


echo. COMPGO.BAT  %1
echo. Compile, Link and Go for PL390/SIM390.
REM   This will copy the PL390 source to PL3SRC.
REM   The PL390C compiler is then executed.
REM   The compiled listing is then displayed.
REM


SET TXT=TXT

IF NOT EXIST %1.%TXT%  GOTO ERRSRCE

COPY  %1.%TXT%  PL3SRC
REM     The PL3SRC file will have the same creation date
REM     as the program source file.

DEL   PL3PCH
DEL   PL3PRT

ECHO.
ECHO  COMPILING PROGRAM IN MEMBER %1.%TXT%
ECHO.

rem SHOWTD /T

rem -----------------------------------------------------------



rem     EXECUTE THE PL390 COMPILER.
PL390C.EXE

:PAUSE1
rem SHOWTD /T
ECHO.

rem     SAVE THE PL3PRT LISTING IF IT EXISTS.
IF NOT EXIST PL3PRT GOTO CHKPCH
COPY  PL3PRT  %1.PRT
ECHO. Listing copied to  %1.PRT

rem     COPY THE OBJECT DECK TO  name.OBJ  AND THE REEL READER (RR).
:CHKPCH
IF NOT EXIST PL3PCH GOTO ERRPCH

COPY  PL3PCH  %1.OBJ
COPY  %1.OBJ  RR
ECHO. Object deck copied to  %1.OBJ and RR (Reel Reader).
ECHO.

pause ...


:LISTPRT
ECHO.
ECHO.
ECHO  Use the  "W"  key to toggle the width of the listing.
ECHO  Use the  "W"  key to toggle the width of the listing.
ECHO  Use the  "W"  key to toggle the width of the listing.
ECHO  To exit the listing display, hit ESC.
ECHO.
ECHO.
pause...

CALL L PL3PRT

SIM390.EXE
GOTO END

@echo off
ECHO.


:ERRSRCE
echo   ***********************************************************************
echo   *
echo   * Error:
echo   * The source program
echo   *
echo   *    "%1.%TXT%"
echo   *
echo   * ...was not found.
echo   *
echo   ***********************************************************************
pause...
GOTO END


:ERRPCH
echo   ***********************************************************************
echo   *
echo   * Warning:
echo   * An object deck was not produced due to program error(s).
echo   * Program listing from PL3PRT follows.
echo   *
echo   ***********************************************************************
pause...

GOTO LISTPRT


:END
ECHO   COMPGO ENDED.
rem  END

