@ECHO OFF

REM *** PL3CL.BAT
REM
REM      Compile and Link for PL390/SIM390.
REM      Produces object code and listing.
REM      The compiled listing is also displayed.
REM      The source program name must be name.TXT,
REM      but ".TXT" must not be specified.
REM
REM      FORMAT:
REM
REM         PL3CL  pl390-program-source-name (no suffix)
REM
REM
REM      EXAMPLE:
REM
REM         PL3CL  PLXETTT1
REM
REM
REM   Results:         progname.PRT  -  Compiler listing
REM                    progname.OBJ  -  Object program
REM
REM
REM   Compiler input:  PL3SRC - Copy of source program
REM   Compiler output: PL3PRT - Compiler listing
REM   Compiler output: PL3PCH - Punched object code
REM
REM   Copied files:    source.TXT  to  PL3SRC
REM   Copied files:    PL3PRT      to  progname.PRT
REM   Copied files:    PL3PCH      to  progname.OBJ
REM
REM   ---------------------------------------------------------

echo. PL3CL.BAT  %1
echo. Compile and Link for PL390/SIM390.
REM   This will copy the PL390 source to PL3SRC.
REM   The PL390C compiler is then executed.
REM   The compiled listing is then displayed.
REM


SET TXT=TXT

IF NOT EXIST %1.%TXT%  GOTO ERRSRCE

COPY  %1.%TXT%  PL3SRC
DEL   PL3PCH
DEL   PL3PRT

ECHO.
ECHO  COMPILING PROGRAM IN MEMBER %1.%TXT%
ECHO.

rem SHOWTD /T

rem     EXECUTE THE COMPILER.
PL390C.EXE

:PAUSE1
rem SHOWTD /T
ECHO.

rem     SAVE THE PL3PRT LISTING IF IT EXISTS.
IF NOT EXIST PL3PRT GOTO CHKPCH
COPY  PL3PRT  %1.PRT
ECHO. Listing copied to  %1.PRT

rem     SAVE THE PL3PCH OBJECT DECK IF IT EXISTS.
:CHKPCH
IF NOT EXIST PL3PCH GOTO ERRPCH
COPY  PL3PCH  %1.OBJ
ECHO. Object deck copied to  %1.OBJ
ECHO.

pause ...
:LISTPRT
CALL L PL3PRT

GOTO END

@echo off
ECHO.

:ERRSRCE
echo   ***********************************************************************
echo   *
echo   * Error:
echo   * The source program
echo   *
echo   *    "%1.%TXT%"
echo   *
echo   * ...was not found.
echo   *
echo   ***********************************************************************
pause...
GOTO END


:ERRPCH
echo   ***********************************************************************
echo   *
echo   * Warning:
echo   * An object deck was not produced due to program error(s).
echo   * Program listing from PL3PRT follows.
echo   *
echo   ***********************************************************************
pause...

GOTO LISTPRT


:END
ECHO   PL3CL  ENDED.
rem  END
